DC_BLUETOOTH_OPEN(3)

NAME
dc_bluetooth_open - Opens an iostream for a bluetooth device

LIBRARY
libdivecomputer

SYNOPSIS
#include <libdivecomputer/bluetooth.h>
dc_status_t
dc_bluetooth_open(dc_iostream_t **iostream, dc_context_t *context, dc_bluetooth_address_t address, unsigned int port);

DESCRIPTION
Opens an iostream for a bluetooth device. Accepts a context opened with dc_context_new(3), a 48-bit bluetooth address given by dc_bluetooth_iterator_new(3) together with dc_bluetooth_device_get_address(3) or dc_bluetooth_str2addr(3) and a bluetooth rfcomm port number (use 0 for autodetection).

Upon returning DC_STATUS_SUCCESS, the iostream pointer must be freed with dc_iostream_close(3).

RETURN VALUES
Returns DC_STATUS_SUCCESS on success or one of several error values on error. On success, the iostream pointer is filled in with an open handle.

SEE ALSO
dc_context_new(3), dc_iostream_close(3), dc_serial_open(3), dc_irda_open(3), dc_usbhid_open(3), dc_bluetooth_iterator_new(3), dc_bluetooth_device_get_address(3), dc_bluetooth_str2addr(3),

AUTHORS
The libdivecomputer library was written by Jef Driesen, jef@libdivecomputer.org.
This manpage is written by Vincent Hagen, vinnie@script4web.nl.